Summary:        SBLIM CMPI Provider Development Support
Name:           sblim-cmpi-devel
Version:        2.0.3
Release:        5%{?dist}
License:        EPL
URL:            http://sblim.wiki.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2

Patch3000:      sblim-cmpi-devel-2.0.3-docdir.patch

BuildRequires:  make gcc

%description
This packages provides the C and C++ CMPI header files needed by provider developers and can be used
standalone. If used for C++ provider development it is also necessary to have tog-pegasus-devel
installed.

%package -n libcmpiCppImpl0
Summary:        CMPI C++ wrapper library
License:        EPL
BuildRequires:  gcc-c++
Conflicts:      tog-pegasus-libs

%description -n libcmpiCppImpl0
This packages provides the C++ wrapper library for CMPI development

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*a
mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d

# package COPYING from BUILD
find %{buildroot} -type f -name COPYING | xargs rm -rf

%files
%license COPYING
%doc AUTHORS README
%{_includedir}/cmpi
%dir %{_rpmconfigdir}/macros.d/

%files -n libcmpiCppImpl0
%{_libdir}/libcmpiCppImpl.so*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue May 16 2023 Shuo Wang <abushwang@tencent.com> - 2.0.3-4
- add Conflicts to tog-pegasus-libs

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Shuo Wang <abushwang@tencent.com> - 2.0.3-1
- initial build
